[API Reference](../README.md) > [LockInfo](../interfaces/LockInfo.md)

# Interface: LockInfo

## Hierarchy

**LockInfo**

## Index

### Properties

* [amount](LockInfo.md#amount)
* [lockId](LockInfo.md#lockId)
* [lockerAddress](LockInfo.md#lockerAddress)
* [releaseTime](LockInfo.md#releaseTime)

---

## Properties

<a id="amount"></a>

###  amount

**● amount**: * `BigNumber` &#124; `string`
*

*Defined in [wrappers/locking4Reputation.ts:421](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/locking4Reputation.ts#L421)*

in Wei

___
<a id="lockId"></a>

###  lockId

**● lockId**: *[Hash](../#Hash)*

*Defined in [wrappers/locking4Reputation.ts:422](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/locking4Reputation.ts#L422)*

___
<a id="lockerAddress"></a>

###  lockerAddress

**● lockerAddress**: *[Address](../#Address)*

*Defined in [wrappers/locking4Reputation.ts:417](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/locking4Reputation.ts#L417)*

___
<a id="releaseTime"></a>

###  releaseTime

**● releaseTime**: *`Date`*

*Defined in [wrappers/locking4Reputation.ts:423](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/locking4Reputation.ts#L423)*

___

